TREC 2001 VideoTrack: Known-Items Task Evaluation: Class RefSegmentation

Class | Tree | Deprecated | Index | Help
| Known-Items Task Evaluation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Class RefSegmentation

    java.lang.Object
      |
      +--Segmentation
            |
            +--RefSegmentation

public class RefSegmentation
extends Segmentation

This class represents a segmentation in items of video file and used in known-items task programs of TREC 2001. Not the entire video is represented in a segmentation, the term of segmentation is used for convenience, but it's just a bunch of items of the same video that need to be processed together cause result of one particular system for one particular topic.

Fields inherited from class Segmentation
`droppedOut, itemSet, topicNumber`

Constructor Summary
`RefSegmentation(java.util.Comparator orderingComparator, java.lang.String topicNumber)` Constructs Segmentation object with an ordering comparator for its set of items.

Method Summary
`comparisonResult` | `processComparison(SysSegmentation systemSegmentation, int maxAllowedItems)` Process the comparison between the current assumed reference segmentation and the given system segmentation.

Methods inherited from class Segmentation
`add, contains, getDroppedOut, getElements, getItemCount, getTopicNumber, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RefSegmentation

    public RefSegmentation(java.util.Comparator orderingComparator,
                           java.lang.String topicNumber)

  Constructs Segmentation object with an ordering comparator for its set of items.
  Parameters:
    `orderingComparator` - The comparator used to order transitions in the set of transitions
    `topicNumber` - The topic number of the results.

Method Detail

### processComparison

    public comparisonResult processComparison(SysSegmentation systemSegmentation,
                                              int maxAllowedItems)
                                       throws java.lang.Exception

  Process the comparison between the current assumed reference segmentation and the given system segmentation.
  Parameters:
    `systemSegmentation` - The system segmentation to be compared with.
  Returns:
    an object representing all the results (measures...) of the comparison.
  Throws:
    `java.lang.Exception` - if the definition of an item is not correct.

Class | Tree | Deprecated | Index | Help
| Known-Items Task Evaluation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

For information over@nist.gov or rtaban@nist.gov